jQuery(document).ready( function($) {
	theme.init();
	/*social*/	   
	try {
		jQuery("#social_icon").msDropDown();
	} catch(e) {
		alert(e.message);
	}
	jQuery("#insert_icon").click(
		function(){
		var insert_iamge="<img src='"+jQuery("#social_icon option:selected").val()+"'/>";
		jQuery("#footer_right_area_html").val(jQuery("#footer_right_area_html").val()+insert_iamge);
	});
	/*font*/
	jQuery("[id='"+jQuery("#font_item").val()+"']").css("display","block");
	jQuery("#font_item").change(function(){
		jQuery(".include").css("display","none");
		jQuery("[id='"+jQuery(this).val()+"']").css("display","block");
	});
	jQuery("#addButton").click(function(){
		var addItem=jQuery("#exclude").val();
		if(typeof(addItem) != 'undefined' && addItem!=null){
			for(i=0;i<addItem.length;i++){
				jQuery(".include:visible").append(jQuery("[value='"+addItem[i]+"']").remove());
			}
		}
	});
	
	jQuery("#removeButton").click(function(){
		var removeItem=jQuery(".include:visible").val();
		if(typeof(removeItem) != 'undefined' && removeItem!=null){
			for(i=0;i<removeItem.length;i++){
				jQuery("#exclude").append(jQuery("[value='"+removeItem[i]+"']").remove());
			}
		}
	});
	jQuery("#theme_form_cufon").submit(function(e){
		theme.fontUpdate();
	});
	 jQuery("#theme_form_fontface").submit(function(e){
										   
		theme.fontUpdate();
	});
	 jQuery("#theme_form_gfont").submit(function(e){
										   
		theme.fontUpdate();
	});


});
